Description

<setup interface="AB" projectReturn="save.php" randomiseOrder='true' testPages="2" loudness="-23" sampleRate="44100">

the value in testPages is ignored. actual value is inferred by the number of <page> elements in the document.
I would recommend that we have an option like "auto" (or "-1") to  be able to automatically infer it from the number of elements (as it
currently does), as this could have interesting applications. Also, might be related with #1298 ?

History
#1 - 2016-02-23 03:17 PM - Nicholas Jillings

The default is to set it to 0, which triggers the page to ignore it. Appears that it is always being ignored.

#2 - 2016-02-23 04:11 PM - Nicholas Jillings
- Status changed from New to Resolved

It worked for me now, there was a bug which would introduce one more page than normal, but confirmed it is working. The on page element also uses
the correct format.

I like the idea of negative numbers, would be an interesting way to do it. Although it could get confusing if 1 means "do only one" and -1 means "do one
less than", especially when you start using repeated pages.

#3 - 2016-03-09 05:25 PM - Giulio Moro
- Status changed from Resolved to In Progress

Reopened:
set the number of pages to 0 and it will still show 1 page.

#4 - 2016-03-10 05:01 PM - Nicholas Jillings
- Status changed from In Progress to Resolved

testPage=0 is the default for saying 'ignore' since you cannot have 0 test pages.
